Index: /trunk/SophyaPI/PI/Quartz/PIControl.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PIControl.cpp	(revision 3469)
+++ /trunk/SophyaPI/PI/Quartz/PIControl.cpp	(revision 3470)
@@ -9,8 +9,13 @@
 
 #include "PIControl.h"
+#include "pistdwdggen.h"
+#include "PIContainerQuartz.h"
 
 PIControl::PIControl(PIContainerGen *par, const char *nom,int sx, int sy, int px, int py)
 :PIWdgQuartz(par, nom, sx, sy, px, py) 
 {
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+	SetPortWindowPort(wParent);
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
     contH = NULL;
 }
Index: /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp	(revision 3469)
+++ /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.cpp	(revision 3470)
@@ -17,4 +17,12 @@
 : PILabelGen(par, nom, sx, sy, px, py)
 {
+	OSStatus err;
+	
+	string sNom(nom);
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+	SetPortWindowPort(wParent);
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+	cfsrLabel = CFStringCreateWithCString(kCFAllocatorDefault,nom,kCFStringEncodingMacRoman);
+	err = CreateStaticTextControl (wParent, &wdgRect, cfsrLabel, NULL, &contH);
 }
 
@@ -30,14 +38,10 @@
 	
 	cfsrLabel = CFStringCreateWithCString(kCFAllocatorDefault,sLabel.c_str(),kCFStringEncodingMacRoman);
-	err = DrawThemeTextBox (cfsrLabel,
-							kThemeSystemFont,
-							kThemeStateInactive,
-							false,
-							&wdgRect,
-							teJustLeft,
-							NULL);
-			
-	return;
-} 
+	SetPortWindowPort(wParent);
+
+	err = SetControlData (contH,0,kControlEditTextCFStringTag,sizeof(cfsrLabel),(Ptr)&cfsrLabel);
+
+	return;
+}
 
 
@@ -46,4 +50,71 @@
 /* --Methode-- */
 PITextQuartz::PITextQuartz(PIContainerGen *par, const char *nom, int sx, int sy, int px, int py)
+: PITextGen(par, nom, sx, sy, px, py)
+{
+	OSStatus err;
+	wParent = ((PIContainer *)par)->GetWindowPtr();
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+}
+
+/* --Methode-- */
+PITextQuartz::PITextQuartz(PIContainerGen* par, const char* nom, bool vsb, bool hsb,
+         		     int sx, int sy, int px, int py)
+: PITextGen(par, nom, vsb, hsb, sx, sy, px, py)
+{
+}
+
+/* --Methode-- */
+PITextQuartz::~PITextQuartz()
+{
+}
+
+
+/* --Methode-- */
+void PITextQuartz::SetText(string const& s)
+{	
+	OSStatus err;
+	
+	unicodeText = CFStringCreateWithCString (NULL,(char *)s.c_str(), kCFStringEncodingMacRoman);
+	err = CreateEditUnicodeTextControl (wParent,&wdgRect,unicodeText,false,NULL,&contH);
+
+	return;
+}
+
+/* --Methode-- */
+string PITextQuartz::GetText() const
+{
+	char* cText;
+	
+	cText = (char *)CFStringGetCStringPtr(unicodeText,kCFStringEncodingMacRoman);	
+	string sText(cText);	
+	return (sText);
+}
+
+
+/* --Methode-- */
+void PITextQuartz::SetMutiLineMode(bool mlm)
+{
+	return;
+}
+
+
+/* --Methode-- */
+void PITextQuartz::SetTextEditable(bool te)
+{
+	return;
+}
+
+
+/* --Methode-- */
+void PITextQuartz::SetMsg(PIMessage msg)
+{
+
+}
+
+
+/* ========== PIHITextViewQuartz ========== */
+
+/* --Methode-- */
+PIHITextViewQuartz::PIHITextViewQuartz(PIContainerGen *par, const char *nom, int sx, int sy, int px, int py)
 : PITextGen(par, nom, sx, sy, px, py)
 {
@@ -59,5 +130,6 @@
 	fx = px+sx-mx;
 	fy = py+sy-my;
-	
+    SetRect(&wdgRect,px,py,px+sx,py+sy);
+
 	SetRect(&userPaneRect,ox,oy,fx,fy);
 	hiRect.origin.x = ox;
@@ -71,5 +143,5 @@
 
 /* --Methode-- */
-PITextQuartz::PITextQuartz(PIContainerGen* par, const char* nom, bool vsb, bool hsb,
+PIHITextViewQuartz::PIHITextViewQuartz(PIContainerGen* par, const char* nom, bool vsb, bool hsb,
          		     int sx, int sy, int px, int py)
 : PITextGen(par, nom, vsb, hsb, sx, sy, px, py)
@@ -78,11 +150,11 @@
 
 /* --Methode-- */
-PITextQuartz::~PITextQuartz()
-{
-}
-
-
-/* --Methode-- */
-void PITextQuartz::SetText(string const& s)
+PIHITextViewQuartz::~PIHITextViewQuartz()
+{
+}
+
+
+/* --Methode-- */
+void PIHITextViewQuartz::SetText(string const& s)
 {	
 	OSStatus err;
@@ -105,5 +177,5 @@
 
 /* --Methode-- */
-string PITextQuartz::GetText() const
+string PIHITextViewQuartz::GetText() const
 {
 	CFStringRef str;
@@ -124,20 +196,20 @@
 
 /* --Methode-- */
-void PITextQuartz::SetMutiLineMode(bool mlm)
-{
-	return;
-}
-
-
-/* --Methode-- */
-void PITextQuartz::SetTextEditable(bool te)
-{
-	return;
-}
-
-
-/* --Methode-- */
-void PITextQuartz::SetMsg(PIMessage msg)
-{
-
-}
+void PIHITextViewQuartz::SetMutiLineMode(bool mlm)
+{
+	return;
+}
+
+
+/* --Methode-- */
+void PIHITextViewQuartz::SetTextEditable(bool te)
+{
+	return;
+}
+
+
+/* --Methode-- */
+void PIHITextViewQuartz::SetMsg(PIMessage msg)
+{
+
+}
Index: /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.h	(revision 3469)
+++ /trunk/SophyaPI/PI/Quartz/pistdwdgmosx.h	(revision 3470)
@@ -21,6 +21,4 @@
 };
 
-typedef PILabelQuartz PILabel;
-
 class PITextQuartz : public PITextGen
 {
@@ -41,8 +39,29 @@
   	
 protected:
+	CFStringRef unicodeText;
+};
+
+
+class PIHITextViewQuartz : public PITextGen
+{
+public:
+	PIHITextViewQuartz(PIContainerGen *par, const char *nom, 
+				int sx=10, int sy=10, int px=0, int py=0);
+
+	PIHITextViewQuartz(PIContainerGen* par, const char* nom, bool vsb, bool hsb,
+         		     int sx=100, int sy=100, int px=0, int py=0);
+  virtual           ~PIHITextViewQuartz();
+  virtual void      SetText(string const&);
+  virtual string    GetText() const;
+
+  virtual void      SetMutiLineMode(bool mlm=false);
+  virtual void      SetTextEditable(bool te=true);
+
+  virtual void		SetMsg(PIMessage msg=0);
+  	
+protected:
 	UniChar* uniChars;
 	CFIndex textLength;
 	HIViewRef outTextView;
-	WindowRef wParent;
 	HIRect hiRect;
 	ControlRef fUserPane;
@@ -50,5 +69,9 @@
 };
 
+
+
+typedef PILabelQuartz PILabel;
 typedef PITextQuartz PIText;
+typedef PIHITextViewQuartz PITextView;
 
 #endif
Index: /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp
===================================================================
--- /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp	(revision 3469)
+++ /trunk/SophyaPI/PI/Quartz/piwdgmosx.cpp	(revision 3470)
@@ -16,7 +16,7 @@
     fflush (stdout);
     title = CFStringCreateWithCString (NULL, nom, kCFStringEncodingMacRoman);
-    SetRect(&wdgRect,px,py,px+sx,py+sy);
     contH = NULL;
     wPtr = NULL;
+	wParent = NULL;
     mFCol = mBCol = PI_NotDefColor;
 }
Index: /trunk/SophyaPI/PI/Quartz/piwdgmosx.h
===================================================================
--- /trunk/SophyaPI/PI/Quartz/piwdgmosx.h	(revision 3469)
+++ /trunk/SophyaPI/PI/Quartz/piwdgmosx.h	(revision 3470)
@@ -14,5 +14,4 @@
 
 #include "piwdggen.h"
-
 
 
@@ -102,4 +101,5 @@
     ControlRef	contH;
     WindowPtr	wPtr;
+	WindowRef	wParent;
 //  pas utilisable dans MOSX/Carbon
     PIColors mFCol, mBCol;