Index: trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1
===================================================================
--- trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1	(revision 3467)
+++ trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1	(revision 3473)
@@ -186,5 +186,46 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array/>
+	<array>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>6D6F14660D64620B00583608</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>Target: XP1</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>6D6F14670D64620B00583608</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>Target: XP1</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>6D6F14680D64620B00583608</string>
+						<key>history</key>
+						<array>
+							<string>6D6F14620D6461FF00583608</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<true/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, 20}, {936, 867}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<false/>
+				<key>RubberWindowFrame</key>
+				<string>15 89 936 908 0 0 1280 1002 </string>
+			</dict>
+		</dict>
+	</array>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -219,6 +260,4 @@
 			<array>
 				<dict>
-					<key>BecomeActive</key>
-					<true/>
 					<key>ContentConfiguration</key>
 					<dict>
@@ -259,4 +298,6 @@
 								<string>6D10686E067DC53B009E5976</string>
 								<string>6D7D4E4B066710DA009E5976</string>
+								<string>6D526BF9066244A2009E5976</string>
+								<string>6D078000061854AA009E5976</string>
 								<string>1C37FBAC04509CD000000102</string>
 							</array>
@@ -265,5 +306,6 @@
 								<array>
 									<integer>25</integer>
-									<integer>24</integer>
+									<integer>21</integer>
+									<integer>0</integer>
 								</array>
 							</array>
@@ -288,5 +330,5 @@
 						</array>
 						<key>RubberWindowFrame</key>
-						<string>159 67 1121 935 0 0 1280 1002 </string>
+						<string>158 67 1121 935 0 0 1280 1002 </string>
 					</dict>
 					<key>Module</key>
@@ -299,4 +341,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -304,5 +348,5 @@
 								<string>1CE0B20306471E060097A5F4</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>xp1.cc</string>
+								<string>PIApplQuartz.h</string>
 								<key>PBXSplitModuleInNavigatorKey</key>
 								<dict>
@@ -312,9 +356,9 @@
 										<string>1CE0B20406471E060097A5F4</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>xp1.cc</string>
+										<string>PIApplQuartz.h</string>
 										<key>_historyCapacity</key>
 										<integer>0</integer>
 										<key>bookmark</key>
-										<string>6DA1EC110D64419F00BEE134</string>
+										<string>6D6F14650D64620B00583608</string>
 										<key>history</key>
 										<array>
@@ -323,12 +367,42 @@
 											<string>6D03F0770D4765880007FC26</string>
 											<string>6D03F0780D4765880007FC26</string>
-											<string>6D03F0790D4765880007FC26</string>
 											<string>6D03F07A0D4765880007FC26</string>
 											<string>6D03F07B0D4765880007FC26</string>
 											<string>6D03F07C0D4765880007FC26</string>
 											<string>6D03F07D0D4765880007FC26</string>
-											<string>6D03F07E0D4765880007FC26</string>
 											<string>6D03F07F0D4765880007FC26</string>
-											<string>6DEF2BC20D5C97F5006053F9</string>
+											<string>6D6F12740D64470C00583608</string>
+											<string>6D6F12840D6447CA00583608</string>
+											<string>6D6F12860D6447CA00583608</string>
+											<string>6D6F12880D6447CA00583608</string>
+											<string>6D6F12B30D644B6800583608</string>
+											<string>6D6F12B40D644B6800583608</string>
+											<string>6D6F12B50D644B6800583608</string>
+											<string>6D6F12B60D644B6800583608</string>
+											<string>6D6F12DE0D644D3400583608</string>
+											<string>6D6F12FD0D644E0100583608</string>
+											<string>6D6F13110D64517600583608</string>
+											<string>6D6F13540D64576D00583608</string>
+											<string>6D6F13550D64576D00583608</string>
+											<string>6D6F13570D64576D00583608</string>
+											<string>6D6F13910D645BBF00583608</string>
+											<string>6D6F13930D645BBF00583608</string>
+											<string>6D6F13970D645BBF00583608</string>
+											<string>6D6F141D0D64615700583608</string>
+											<string>6D6F141E0D64615700583608</string>
+											<string>6D6F141F0D64615700583608</string>
+											<string>6D6F14210D64615700583608</string>
+											<string>6D6F14240D64615700583608</string>
+											<string>6D6F14250D64615700583608</string>
+											<string>6D6F14260D64615700583608</string>
+											<string>6D6F14270D64615700583608</string>
+											<string>6D6F14280D64615700583608</string>
+											<string>6D6F14290D64615700583608</string>
+											<string>6D6F142A0D64615700583608</string>
+											<string>6D6F14520D6461E700583608</string>
+											<string>6D6F14530D6461E700583608</string>
+											<string>6D6F14540D6461E700583608</string>
+											<string>6D6F14550D6461E700583608</string>
+											<string>6D6F14560D6461E700583608</string>
 										</array>
 										<key>prevStack</key>
@@ -345,4 +419,89 @@
 											<string>6D03F08B0D4765880007FC26</string>
 											<string>6D03F08C0D4765880007FC26</string>
+											<string>6D6F12760D64470C00583608</string>
+											<string>6D6F12890D6447CA00583608</string>
+											<string>6D6F128A0D6447CA00583608</string>
+											<string>6D6F128B0D6447CA00583608</string>
+											<string>6D6F128C0D6447CA00583608</string>
+											<string>6D6F128D0D6447CA00583608</string>
+											<string>6D6F128E0D6447CA00583608</string>
+											<string>6D6F128F0D6447CA00583608</string>
+											<string>6D6F12900D6447CA00583608</string>
+											<string>6D6F12910D6447CA00583608</string>
+											<string>6D6F12920D6447CA00583608</string>
+											<string>6D6F12B80D644B6800583608</string>
+											<string>6D6F12B90D644B6800583608</string>
+											<string>6D6F12BA0D644B6800583608</string>
+											<string>6D6F12BB0D644B6800583608</string>
+											<string>6D6F12E50D644D3400583608</string>
+											<string>6D6F12E60D644D3400583608</string>
+											<string>6D6F12E80D644D3400583608</string>
+											<string>6D6F12E90D644D3400583608</string>
+											<string>6D6F12EA0D644D3400583608</string>
+											<string>6D6F12EB0D644D3400583608</string>
+											<string>6D6F13010D644E0100583608</string>
+											<string>6D6F13020D644E0100583608</string>
+											<string>6D6F13030D644E0100583608</string>
+											<string>6D6F13040D644E0100583608</string>
+											<string>6D6F13050D644E0100583608</string>
+											<string>6D6F13120D64517600583608</string>
+											<string>6D6F135E0D64576D00583608</string>
+											<string>6D6F135F0D64576D00583608</string>
+											<string>6D6F13600D64576D00583608</string>
+											<string>6D6F13610D64576D00583608</string>
+											<string>6D6F13630D64576D00583608</string>
+											<string>6D6F13640D64576D00583608</string>
+											<string>6D6F13660D64576D00583608</string>
+											<string>6D6F13670D64576D00583608</string>
+											<string>6D6F13680D64576D00583608</string>
+											<string>6D6F13690D64576D00583608</string>
+											<string>6D6F136B0D64576D00583608</string>
+											<string>6D6F136D0D64576D00583608</string>
+											<string>6D6F136F0D64576D00583608</string>
+											<string>6D6F13710D64576D00583608</string>
+											<string>6D6F13730D64576D00583608</string>
+											<string>6D6F13750D64576D00583608</string>
+											<string>6D6F13760D64576D00583608</string>
+											<string>6D6F13990D645BBF00583608</string>
+											<string>6D6F139A0D645BBF00583608</string>
+											<string>6D6F139B0D645BBF00583608</string>
+											<string>6D6F139C0D645BBF00583608</string>
+											<string>6D6F139D0D645BBF00583608</string>
+											<string>6D6F139F0D645BBF00583608</string>
+											<string>6D6F13A00D645BBF00583608</string>
+											<string>6D6F13A10D645BBF00583608</string>
+											<string>6D6F13A20D645BBF00583608</string>
+											<string>6D6F13A30D645BBF00583608</string>
+											<string>6D6F13A40D645BBF00583608</string>
+											<string>6D6F13A50D645BBF00583608</string>
+											<string>6D6F13A60D645BBF00583608</string>
+											<string>6D6F13A70D645BBF00583608</string>
+											<string>6D6F142E0D64615700583608</string>
+											<string>6D6F142F0D64615700583608</string>
+											<string>6D6F14300D64615700583608</string>
+											<string>6D6F14310D64615700583608</string>
+											<string>6D6F14320D64615700583608</string>
+											<string>6D6F14340D64615700583608</string>
+											<string>6D6F14360D64615700583608</string>
+											<string>6D6F14380D64615700583608</string>
+											<string>6D6F14390D64615700583608</string>
+											<string>6D6F143A0D64615700583608</string>
+											<string>6D6F143B0D64615700583608</string>
+											<string>6D6F143C0D64615700583608</string>
+											<string>6D6F143D0D64615700583608</string>
+											<string>6D6F143E0D64615700583608</string>
+											<string>6D6F143F0D64615700583608</string>
+											<string>6D6F14400D64615700583608</string>
+											<string>6D6F14410D64615700583608</string>
+											<string>6D6F14420D64615700583608</string>
+											<string>6D6F14430D64615700583608</string>
+											<string>6D6F14440D64615700583608</string>
+											<string>6D6F14570D6461E700583608</string>
+											<string>6D6F14580D6461E700583608</string>
+											<string>6D6F14590D6461E700583608</string>
+											<string>6D6F145A0D6461E700583608</string>
+											<string>6D6F145B0D6461E700583608</string>
+											<string>6D6F145C0D6461E700583608</string>
+											<string>6D6F145D0D6461E700583608</string>
 										</array>
 									</dict>
@@ -358,5 +517,5 @@
 								<string>{{0, 0}, {858, 622}}</string>
 								<key>RubberWindowFrame</key>
-								<string>159 67 1121 935 0 0 1280 1002 </string>
+								<string>158 67 1121 935 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
@@ -378,5 +537,5 @@
 								<string>{{0, 627}, {858, 267}}</string>
 								<key>RubberWindowFrame</key>
-								<string>159 67 1121 935 0 0 1280 1002 </string>
+								<string>158 67 1121 935 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
@@ -402,7 +561,7 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>6DA1EC0B0D64409C00BEE134</string>
+				<string>6D6F12940D6447CA00583608</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
-				<string>6DA1EC0C0D64409C00BEE134</string>
+				<string>6D6F12950D6447CA00583608</string>
 				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20506471E060097A5F4</string>
@@ -539,8 +698,10 @@
 	<array>
 		<string>1C0AD2B3069F1EA900FABCE6</string>
-		<string>/Users/brunomansoux/Programmes/PI4Mac/PI/PI.xcodeproj</string>
+		<string>6D51EC7C0BA8059900CD4CE8</string>
+		<string>/Users/brunomansoux/Programmes/PI4Mac/PI/Quartz/PI.xcodeproj</string>
+		<string>6D6F14660D64620B00583608</string>
 	</array>
 	<key>WindowString</key>
-	<string>159 67 1121 935 0 0 1280 1002 </string>
+	<string>158 67 1121 935 0 0 1280 1002 </string>
 	<key>WindowTools</key>
 	<array>
@@ -558,6 +719,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -565,5 +724,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>pistdwdgmosx.cpp</string>
+								<string>piapplgen.h</string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -582,8 +741,10 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 189}, {1103, 277}}</string>
+								<string>{{0, 179}, {1103, 287}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -623,5 +784,5 @@
 			<array>
 				<string>6D51EC7C0BA8059900CD4CE8</string>
-				<string>6D75B9AE0D0D768900083859</string>
+				<string>6D6F12800D6447C900583608</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -933,6 +1094,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {491, 168}}</string>
-											<string>{{0, 173}, {491, 270}}</string>
+											<string>{{0, 0}, {367, 168}}</string>
+											<string>{{0, 173}, {367, 270}}</string>
 										</array>
 									</dict>
@@ -983,7 +1144,7 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>6DA1EC0D0D64409C00BEE134</string>
+				<string>6D6F145F0D6461E700583608</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>6DA1EC0E0D64409C00BEE134</string>
+				<string>6D6F14600D6461E700583608</string>
 			</array>
 			<key>ToolbarConfiguration</key>